# Generation of bootstraps
rm(list=ls())
library(IQRtools)
IQRinitCompliance("example_bootstrap.R")

# Define model to generate the bootstrap for
NLMEMODEL <- "MODEL_01_MONOLIX"
NLMEMODEL <- "MODEL_01_NONMEM"

# -------------------------------------------------------------------------#
# Simple bootstrap ----
# -------------------------------------------------------------------------#

# Generate the bootstrap
bootstrap_IQRnlmeProject(
  projectPath = NLMEMODEL,      # Define the NLME model (IQRnlmeProject) to do the bootstrap for
  bootstrapPath = "Output",     # Define output path
  Nsamples = 100,               # Number of samples (small for example)
  group = "SEX",                # Stratify by column "SEX"
  Nparallel = 10,               # Number of parallel model executions
  FLAGremoveRESULTSORIG = TRUE  # Remove original results to keep size on disk low
)
