#### HEADER ================================================================
#
# [PURPOSE]
# Just prepare a VPC for the final model and comparison tables for key modeling steps
#
# [AUTHOR]
# Henning Schmidt

## Preliminaries ====

rm(list = ls())
library(IQRtools)
IQRinitCompliance("SCRIPT_30_FinalModel.R")

# -------------------------------------------------------------------------#
# Generate pcVPC for final model
# -------------------------------------------------------------------------#

vpc <- vpc_IQRnlmeProject(project = "../Output/FINALMODELS/03_FINALMODEL/",
                          Ntrials = 200,
                          ncores = 20,
                          FLAGpreparePC = TRUE)

p <- plotVPC_IQRdataVPC(dataVPC = vpc,
                       FLAGpc = TRUE,
                       FLAGlogY = TRUE)

IQRoutputFigure(p$OUTPUT1,filename = "../Output/FINALMODELS/FIG01_pcVPC_FINALMODEL_1.pdf")

# -------------------------------------------------------------------------#
# Key models - comparison
# -------------------------------------------------------------------------#

pM <- as_IQRnlmeProjectMulti("../Output/FINALMODELS/")
names(pM) <- gsub("../Output/FINALMODELS//","",names(pM))
compareModels_IQRnlmeProjectMulti(pM,filename = "../Output/FINALMODELS/TAB_01_comparison.txt")
